import rocketfuelApi from './api/index';
import auth from './api/methods/auth';
import encrypt from './api/methods/encrypt';
import decrypt from './api/methods/decrypt';
import refreshTokens from './api/methods/refreshTokens';
import setAccessToken from './api/methods/setAccessToken';
import generateUUID from './api/methods/generateUUID';
import { STRING_CONST } from './api/const';
import lookup from './api/methods/lookup';
import webhook from './api/methods/webhook';

export default class Rocketfuel {
  constructor(environment = STRING_CONST.environment.prod) {
    if (Object.keys(STRING_CONST.environment).indexOf(environment) === -1) { environment = STRING_CONST.environment.prod; }
    const apiInstance = rocketfuelApi(STRING_CONST.endpoint[environment]);
    // utils
    this.encrypt = encrypt();
    this.decrypt = decrypt();
    // api
    this.auth = auth(apiInstance);
    this.refreshTokens = refreshTokens(apiInstance);
    this.setAccessToken = setAccessToken(apiInstance);
    this.generateUUID = generateUUID(apiInstance);
    // Webhook and lookup
    this.lookup = lookup(apiInstance);
    this.webhook = webhook();
  }
}
