import CryptoJS from 'crypto-js';
import CustomError from '../../CustomError';

export default function decrypt() {
  return async (text, clientSecret) => {
    try {
      const bytes = CryptoJS.AES.decrypt(text, clientSecret);
      return JSON.parse(bytes.toString(CryptoJS.enc.Utf8));
    } catch (err) {
      throw new CustomError(err.message, err.response.data);
    }
  };
}
