import CustomError from '../../CustomError';
import { STRING_CONST } from '../const';

export default function auth(api) {
  return async (refreshToken) => {
    if (!refreshToken) {
      throw new Error('refreshToken is required');
    }
    // eslint-disable-next-line dot-notation
    api.defaults.headers.common['Authorization'] = `Bearer ${refreshToken}`;
    const url = STRING_CONST.route.refresh;

    try {
      const { data } = await api.post(url);
      return data;
    } catch (err) {
      throw new CustomError(err.message, err.response.data);
    }
  };
}
