import { STRING_CONST } from '../const';

export default function generateUUID(api) {
  return async (payload) => {
    const url = STRING_CONST.route.generateLink;
    let headers = {};
    try {
      if (!payload || !Object.keys(payload).length) {
        throw new Error('data object cannot be empty');
      }

      if (payload.code2fa) {
        headers = { 'rf-2fa': payload.code2fa };
      }
      /*
      payload: Joi.object({
          merchantId: Joi.string().allow(null, ''),
          merchantAuth: Joi.string().allow(null, ''),
          subscriptionId: Joi.string().allow(null, '')
        })
      */
      const { data } = await api.post(url, payload, { headers });
      return data;
    } catch (err) {
      return { ok: false, result: {}, err };
    }
  };
}
